{% extends 'base.html.twig'%}

{% block title %}
    {{ parent() }} | List
{% endblock %}

{% block body %}
    <h2>Liste des sorties</h2>
    <br>
    <div class="div-form">
    {% if user != null %}
        <div class="div_event_profil">
            <div class="container_label">
                <label for="" class="label">Participant : {{ user.firstname }} {{ user.lastname }}</label>
                <br>
                <label for="" class="label">Date du jour : {{ "now" | date('Y-m-d ', "Europe/Paris") }}</label>
                <br>
                <br>
                <br>
            </div>
        </div>


            <div class="div_filtre">
                {{ form_start(filterForm)}}

                <div class="div_label_input">
                    <label for="" class="label">Nom de l'évènement : </label>
                    {#     nom de l'event   #}
                    {{ form_widget(filterForm.name, {'attr' : {'class': 'input_filtre'}}) }}
                </div>
                <div class="div_label_input">
                    <label for="" class="label">Date de l'évènement : </label>
                    {#     date debut des event que tu veux   #}
                    {{ form_widget(filterForm.startingDate, {'attr' : {'class': 'input_filtre'}}) }}
                </div>
                <div class="div_label_input">
                    <label for="" class="label">Date d'inscription maximale :</label>
                    {#     date fin des event que tu veux   #}
                    {{ form_widget(filterForm.endDate, {'attr' : {'class': 'input_filtre'}}) }}
                </div>
                <div>
                    {#     si tu es l'organisateur de l'event  #}
                    {{ form_widget(filterForm.isOrganisateur) }}
                    <label for="" class="label">Je suis organisateur/trice </label>
                </div>
                <div>
                    {#     si t'es inscrit dans l'event #}
                    {{ form_widget(filterForm.isInscrit) }}
                    <label for="" class="label">Je suis inscrit/e </label>

                </div>
                <div>
                    {#     si t'es inscrit dans l'event (ne marche pas)   #}
                    {{ form_widget(filterForm.isNotInscrit) }}
                    <label for="" class="label">Je ne suis pas inscrit/e </label>

                </div>
                <div>
                    {#     si l'event est archive (ne marche pas non plus hihi)  #}
                    {{ form_widget(filterForm.isPasse) }}
                    <label for="" class="label">Évènement(s) archivé(s) </label>

                </div>
                <div class="div_label_input">
                    <label for="" class="label">Campus : </label>
                    {#     le campus dont tu veux afficher les event (bon courage adriiii )   #}
                    {{ form_widget(filterForm.site, {'attr' : {'class': 'input_filtre'}}) }}
                </div>
                <br>
                <input type="submit" value="Rechercher" class="btn_rechercher_filtre">
                {{ form_end(filterForm) }}

            </div>
        {% endif %}

        <br>
        <br>

        <table class="table">
            <thead>
                <tr>
                    <th>Nom</th>
                    <th>Organisateur</th>
                    <th>Nombre de places</th>
                    <th>Etat</th>
                    <th>Inscrit ?</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
            {% for event in events %}
                <tr>
                    <td>
                        <a href="{{ path('event_show', {'id': event.id}) }}" class="btn_tab">{{ event.name }} </a>
                    </td>
                    <td>
                        <a href="{{ path('profile_show', {'id': event.organisateur.id}) }}" class="btn_tab">{{ event.organisateur.firstname }} {{ event.organisateur.lastname }}</a>
                    </td>
                    <td>
                        {{ event.lstUser | length }}/{{ event.nbMaxRegistration }}
                    </td>
                    <td>
                        {{ event.state.label }}
                    </td>
                    <td>
                        {% if (user != null) and (user in event.lstUser) and (user.email != event.organisateur.email)    %}
                            X
                        {% endif %}
                    </td>
                    <td>
                        <div class="div_tab">
                            {% if (user != null) and (event.nbMaxRegistration > event.lstUser | length ) and ( "now" | date('Y-m-d H:i:s', "Europe/Paris") < event.lastRegistrationDate|date('Y-m-d H:i:s', "Europe/Paris")  ) %}
                                {% if user.email != event.organisateur.email %}
                                    {% if user in event.lstUser %}
                                        <a href="{{ path('event_desinscription', {'id': event.id}) }}" class="btn_tab_action">Se désister</a>
                                    {% else %}
                                        <a href="{{ path('event_inscription', {'id': event.id}) }}" class="btn_tab_action">S'inscrire</a>
                                    {% endif %}
                                {% endif %}
                            {% endif %}
                            {% if (user != null) and (user.email == event.organisateur.email) and (event.state.label == "En Création") %}
                                <a href="{{ path('event_edit', {'id': event.id}) }}" class="btn_tab_action">Modifier</a>
                                <a href="{{ path('event_add') }}" class="btn_tab_action">Publier</a>
                            {% endif %}
                        </div>

                    </td>
                </tr>
            {% endfor %}


            </tbody>
        </table>
        {% if user != null %}
            <br>
            <a href="{{ path('event_add') }}" class="btn_home_creer_sortie">Créer une sortie</a>
        {% else %}
            <br>
            <a href="{{ path('app_login') }}" class="btn_home_creer_sortie">Créer une sortie</a>
        {% endif %}


    </div>



{% endblock %}

